/*
 * SPDX-FileCopyrightText: Copyright (c) 2001-2010 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
 * SPDX-License-Identifier: MIT
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

/* AUTO GENERATED FILE -- DO NOT EDIT */

#ifndef __CLCE97TEX_H__
#define __CLCE97TEX_H__

/*
** Texture Header V2 Blocklinear
 */

#define NVCE97_TEXHEAD_V2_BL_RESERVED0A                            MW(3:0)
#define NVCE97_TEXHEAD_V2_BL_GOB_DEPTH_OFFSET                      MW(8:4)
#define NVCE97_TEXHEAD_V2_BL_ADDRESS_BITS31TO9                     MW(31:9)
#define NVCE97_TEXHEAD_V2_BL_ADDRESS_BITS56TO32                    MW(56:32)
#define NVCE97_TEXHEAD_V2_BL_RESERVED1A                            MW(63:57)
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_WIDTH                  MW(66:64)
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_WIDTH_ONE_GOB          0x00000000
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT                 MW(69:67)
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT_ONE_GOB         0x00000000
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT_TWO_GOBS        0x00000001
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT_FOUR_GOBS       0x00000002
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT_EIGHT_GOBS      0x00000003
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT_SIXTEEN_GOBS    0x00000004
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_HEIGHT_THIRTYTWO_GOBS  0x00000005
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH                  MW(72:70)
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH_ONE_GOB          0x00000000
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH_TWO_GOBS         0x00000001
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH_FOUR_GOBS        0x00000002
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH_EIGHT_GOBS       0x00000003
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH_SIXTEEN_GOBS     0x00000004
#define NVCE97_TEXHEAD_V2_BL_GOBS_PER_BLOCK_DEPTH_THIRTYTWO_GOBS   0x00000005
#define NVCE97_TEXHEAD_V2_BL_RESERVED3Y                            MW(73:73)
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS                    MW(76:74)
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS_ONE_GOB            0x00000000
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS_TWO_GOBS           0x00000001
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS_FOUR_GOBS          0x00000002
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS_EIGHT_GOBS         0x00000003
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS_SIXTEEN_GOBS       0x00000004
#define NVCE97_TEXHEAD_V2_BL_TILE_WIDTH_IN_GOBS_THIRTYTWO_GOBS     0x00000005
#define NVCE97_TEXHEAD_V2_BL_GOB3D                                 MW(77:77)
#define NVCE97_TEXHEAD_V2_BL_RESERVED2Z                            MW(79:78)
#define NVCE97_TEXHEAD_V2_BL_LOD_ANISO_QUALITY2                    MW(80:80)
#define NVCE97_TEXHEAD_V2_BL_LOD_ANISO_QUALITY                     MW(81:81)
#define NVCE97_TEXHEAD_V2_BL_LOD_ANISO_QUALITY_LOD_QUALITY_LOW     0x00000000
#define NVCE97_TEXHEAD_V2_BL_LOD_ANISO_QUALITY_LOD_QUALITY_HIGH    0x00000001
#define NVCE97_TEXHEAD_V2_BL_LOD_ISO_QUALITY                       MW(82:82)
#define NVCE97_TEXHEAD_V2_BL_LOD_ISO_QUALITY_LOD_QUALITY_LOW       0x00000000
#define NVCE97_TEXHEAD_V2_BL_LOD_ISO_QUALITY_LOD_QUALITY_HIGH      0x00000001
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_MODIFIER          MW(84:83)
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_BL_ANISO_SPREAD_SCALE                    MW(89:85)
#define NVCE97_TEXHEAD_V2_BL_USE_HEADER_OPT_CONTROL                MW(90:90)
#define NVCE97_TEXHEAD_V2_BL_DEPTH_TEXTURE                         MW(91:91)
#define NVCE97_TEXHEAD_V2_BL_MAX_MIP_LEVEL                         MW(95:92)
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE                              MW(98:96)
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_ZERO                      0x00000000
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_R                         0x00000002
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_G                         0x00000003
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_B                         0x00000004
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_A                         0x00000005
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_ONE_INT                   0x00000006
#define NVCE97_TEXHEAD_V2_BL_X_SOURCE_IN_ONE_FLOAT                 0x00000007
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE                              MW(101:99)
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_ZERO                      0x00000000
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_R                         0x00000002
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_G                         0x00000003
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_B                         0x00000004
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_A                         0x00000005
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_ONE_INT                   0x00000006
#define NVCE97_TEXHEAD_V2_BL_Y_SOURCE_IN_ONE_FLOAT                 0x00000007
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE                              MW(104:102)
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_ZERO                      0x00000000
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_R                         0x00000002
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_G                         0x00000003
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_B                         0x00000004
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_A                         0x00000005
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_ONE_INT                   0x00000006
#define NVCE97_TEXHEAD_V2_BL_Z_SOURCE_IN_ONE_FLOAT                 0x00000007
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE                              MW(107:105)
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_ZERO                      0x00000000
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_R                         0x00000002
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_G                         0x00000003
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_B                         0x00000004
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_A                         0x00000005
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_ONE_INT                   0x00000006
#define NVCE97_TEXHEAD_V2_BL_W_SOURCE_IN_ONE_FLOAT                 0x00000007
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE                             MW(111:108)
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_UNORM         0x00000000
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_SNORM         0x00000001
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_FLOAT         0x00000002
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_SGNRGB        0x00000003
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_SGNA          0x00000004
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_DSDT          0x00000005
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_UINT          0x00000006
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_SINT          0x00000007
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_ZS            0x00000008
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_SZ            0x00000009
#define NVCE97_TEXHEAD_V2_BL_DATA_TYPE_TEX_DATA_TYPE_ZFS           0x0000000a
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS                            MW(118:112)
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_INVALID              0x00000000
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R32_G32_B32_A32      0x00000001
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R32_G32_B32          0x00000002
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R16_G16_B16_A16      0x00000003
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R32_G32              0x00000004
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R32_B24G8            0x00000005
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_X8B8G8R8             0x00000007
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_A8B8G8R8             0x00000008
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_A2B10G10R10          0x00000009
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R16_G16              0x0000000c
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_G8R24                0x0000000d
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_G24R8                0x0000000e
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R32                  0x0000000f
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_A4B4G4R4             0x00000012
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_A5B5G5R1             0x00000013
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_A1B5G5R5             0x00000014
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_B5G6R5               0x00000015
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_B6G5R5               0x00000016
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_G8R8                 0x00000018
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R16                  0x0000001b
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_Y8_VIDEO             0x0000001c
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R8                   0x0000001d
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_G4R4                 0x0000001e
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_R1                   0x0000001f
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_E5B9G9R9_SHAREDEXP   0x00000020
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_BF10GF11RF11         0x00000021
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_G8B8G8R8             0x00000022
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_B8G8R8G8             0x00000023
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_DXT1                 0x00000024
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_DXT23                0x00000025
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_DXT45                0x00000026
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_DXN1                 0x00000027
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_DXN2                 0x00000028
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_BC6H_SF16            0x00000010
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_BC6H_UF16            0x00000011
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_BC7U                 0x00000017
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ETC2_RGB             0x00000006
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ETC2_RGB_PTA         0x0000000a
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ETC2_RGBA            0x0000000b
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_EAC                  0x00000019
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_EACX2                0x0000001a
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_Z24S8                0x00000029
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_X8Z24                0x0000002a
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_S8Z24                0x0000002b
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ZF32                 0x0000002f
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ZF32_X24S8           0x00000030
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_Z16                  0x0000003a
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_4X4          0x00000040
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_5X4          0x00000050
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_5X5          0x00000041
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_6X5          0x00000051
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_6X6          0x00000042
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_8X5          0x00000055
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_8X6          0x00000052
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_8X8          0x00000044
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_10X5         0x00000056
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_10X6         0x00000057
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_10X8         0x00000053
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_10X10        0x00000045
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_12X10        0x00000054
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_ASTC_2D_12X12        0x00000046
#define NVCE97_TEXHEAD_V2_BL_COMPONENTS_SIZES_CS_BITFIELD_SIZE     0x0000007f
#define NVCE97_TEXHEAD_V2_BL_PACK_COMPONENTS                       MW(119:119)
#define NVCE97_TEXHEAD_V2_BL_RESERVED3A                            MW(123:120)
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION                        MW(127:124)
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION_SELECT_PITCH_COLOR_KEY_V2 0x00000001
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION_SELECT_PITCH_V2        0x00000002
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION_SELECT_BLOCKLINEAR_V2  0x00000003
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION_SELECT_BLOCKLINEAR_COLOR_KEY_V2 0x00000004
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION_SELECT_ONE_D_RAW_TYPED 0x00000005
#define NVCE97_TEXHEAD_V2_BL_HEADER_VERSION_SELECT_ONE_D_STRUCT_BUF 0x00000006
#define NVCE97_TEXHEAD_V2_BL_WIDTH_MINUS_ONE                       MW(144:128)
#define NVCE97_TEXHEAD_V2_BL_NORMALIZED_COORDS                     MW(145:145)
#define NVCE97_TEXHEAD_V2_BL_ANISO_SPREAD_MAX_LOG2                 MW(148:146)
#define NVCE97_TEXHEAD_V2_BL_S_R_G_B_CONVERSION                    MW(149:149)
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE                          MW(153:150)
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_ONE_D                    0x00000000
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_TWO_D                    0x00000001
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_THREE_D                  0x00000002
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_CUBEMAP                  0x00000003
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_ONE_D_ARRAY              0x00000004
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_TWO_D_ARRAY              0x00000005
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_ONE_D_BUFFER             0x00000006
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_TWO_D_NO_MIPMAP          0x00000007
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_CUBEMAP_ARRAY            0x00000008
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_HTEX_TWOD                0x0000000a
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_HTEX_THREE_D             0x0000000b
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_HTEX_TWOD_ARRAY          0x0000000e
#define NVCE97_TEXHEAD_V2_BL_TEXTURE_TYPE_TT_BIT_FIELD_SIZE        0x0000000f
#define NVCE97_TEXHEAD_V2_BL_SECTOR_PROMOTION                      MW(155:154)
#define NVCE97_TEXHEAD_V2_BL_SECTOR_PROMOTION_NO_PROMOTION         0x00000000
#define NVCE97_TEXHEAD_V2_BL_SECTOR_PROMOTION_PROMOTE_TO_2_V       0x00000001
#define NVCE97_TEXHEAD_V2_BL_SECTOR_PROMOTION_PROMOTE_TO_2_H       0x00000002
#define NVCE97_TEXHEAD_V2_BL_SECTOR_PROMOTION_PROMOTE_TO_4         0x00000003
#define NVCE97_TEXHEAD_V2_BL_BORDER_SOURCE                         MW(156:156)
#define NVCE97_TEXHEAD_V2_BL_BORDER_SOURCE_BORDER_TEXTURE          0x00000000
#define NVCE97_TEXHEAD_V2_BL_BORDER_SOURCE_BORDER_COLOR            0x00000001
#define NVCE97_TEXHEAD_V2_BL_RESERVED4A                            MW(159:157)
#define NVCE97_TEXHEAD_V2_BL_HEIGHT_MINUS_ONE                      MW(176:160)
#define NVCE97_TEXHEAD_V2_BL_DEPTH_MINUS_ONE                       MW(191:177)
#define NVCE97_TEXHEAD_V2_BL_RESERVED6Y                            MW(192:192)
#define NVCE97_TEXHEAD_V2_BL_TRILIN_OPT                            MW(197:193)
#define NVCE97_TEXHEAD_V2_BL_MIP_LOD_BIAS                          MW(210:198)
#define NVCE97_TEXHEAD_V2_BL_ANISO_BIAS                            MW(214:211)
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_FUNC                MW(216:215)
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_FUNC              MW(218:217)
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BL_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY                        MW(221:219)
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_1_TO_1           0x00000000
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_2_TO_1           0x00000001
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_4_TO_1           0x00000002
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_6_TO_1           0x00000003
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_8_TO_1           0x00000004
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_10_TO_1          0x00000005
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_12_TO_1          0x00000006
#define NVCE97_TEXHEAD_V2_BL_MAX_ANISOTROPY_ANISO_16_TO_1          0x00000007
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_MODIFIER            MW(223:222)
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BL_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_BL_RES_VIEW_MIN_MIP_LEVEL                MW(227:224)
#define NVCE97_TEXHEAD_V2_BL_RES_VIEW_MAX_MIP_LEVEL                MW(231:228)
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT                    MW(235:232)
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_1X1           0x00000000
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_2X1           0x00000001
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_2X2           0x00000002
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_4X2           0x00000003
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_4X2_D3D       0x00000004
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_2X1_D3D       0x00000005
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_4X4           0x00000006
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_2X2_VC_4      0x00000008
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_2X2_VC_12     0x00000009
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_4X2_VC_8      0x0000000a
#define NVCE97_TEXHEAD_V2_BL_MULTI_SAMPLE_COUNT_MODE_4X2_VC_24     0x0000000b
#define NVCE97_TEXHEAD_V2_BL_MIN_LOD_CLAMP                         MW(247:236)
#define NVCE97_TEXHEAD_V2_BL_RESERVED7Y                            MW(255:248)


/*
** Texture Header V2 Blocklinear Color Key
 */

#define NVCE97_TEXHEAD_V2_BLCK_RESERVED0A                          MW(3:0)
#define NVCE97_TEXHEAD_V2_BLCK_GOB_DEPTH_OFFSET                    MW(8:4)
#define NVCE97_TEXHEAD_V2_BLCK_ADDRESS_BITS31TO9                   MW(31:9)
#define NVCE97_TEXHEAD_V2_BLCK_ADDRESS_BITS56TO32                  MW(56:32)
#define NVCE97_TEXHEAD_V2_BLCK_RESERVED1A                          MW(63:57)
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_WIDTH                MW(66:64)
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_WIDTH_ONE_GOB        0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT               MW(69:67)
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT_ONE_GOB       0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT_TWO_GOBS      0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT_FOUR_GOBS     0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT_EIGHT_GOBS    0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT_SIXTEEN_GOBS  0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_HEIGHT_THIRTYTWO_GOBS 0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH                MW(72:70)
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH_ONE_GOB        0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH_TWO_GOBS       0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH_FOUR_GOBS      0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH_EIGHT_GOBS     0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH_SIXTEEN_GOBS   0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_GOBS_PER_BLOCK_DEPTH_THIRTYTWO_GOBS 0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_RESERVED3Y                          MW(73:73)
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS                  MW(76:74)
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS_ONE_GOB          0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS_TWO_GOBS         0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS_FOUR_GOBS        0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS_EIGHT_GOBS       0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS_SIXTEEN_GOBS     0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_TILE_WIDTH_IN_GOBS_THIRTYTWO_GOBS   0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_GOB3D                               MW(77:77)
#define NVCE97_TEXHEAD_V2_BLCK_RESERVED2Z                          MW(79:78)
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ANISO_QUALITY2                  MW(80:80)
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ANISO_QUALITY                   MW(81:81)
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ANISO_QUALITY_LOD_QUALITY_LOW   0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ANISO_QUALITY_LOD_QUALITY_HIGH  0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ISO_QUALITY                     MW(82:82)
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ISO_QUALITY_LOD_QUALITY_LOW     0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_LOD_ISO_QUALITY_LOD_QUALITY_HIGH    0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_MODIFIER        MW(84:83)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_SPREAD_SCALE                  MW(89:85)
#define NVCE97_TEXHEAD_V2_BLCK_USE_HEADER_OPT_CONTROL              MW(90:90)
#define NVCE97_TEXHEAD_V2_BLCK_DEPTH_TEXTURE                       MW(91:91)
#define NVCE97_TEXHEAD_V2_BLCK_MAX_MIP_LEVEL                       MW(95:92)
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE                            MW(98:96)
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_X_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE                            MW(101:99)
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_Y_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE                            MW(104:102)
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_Z_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE                            MW(107:105)
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_W_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE                           MW(111:108)
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_UNORM       0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_SNORM       0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_FLOAT       0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_SGNRGB      0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_SGNA        0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_DSDT        0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_UINT        0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_SINT        0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_ZS          0x00000008
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_SZ          0x00000009
#define NVCE97_TEXHEAD_V2_BLCK_DATA_TYPE_TEX_DATA_TYPE_ZFS         0x0000000a
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS                          MW(118:112)
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_INVALID            0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R32_G32_B32_A32    0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R32_G32_B32        0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R16_G16_B16_A16    0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R32_G32            0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R32_B24G8          0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_X8B8G8R8           0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_A8B8G8R8           0x00000008
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_A2B10G10R10        0x00000009
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R16_G16            0x0000000c
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_G8R24              0x0000000d
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_G24R8              0x0000000e
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R32                0x0000000f
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_A4B4G4R4           0x00000012
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_A5B5G5R1           0x00000013
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_A1B5G5R5           0x00000014
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_B5G6R5             0x00000015
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_B6G5R5             0x00000016
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_G8R8               0x00000018
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R16                0x0000001b
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_Y8_VIDEO           0x0000001c
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R8                 0x0000001d
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_G4R4               0x0000001e
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_R1                 0x0000001f
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_E5B9G9R9_SHAREDEXP 0x00000020
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_BF10GF11RF11       0x00000021
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_G8B8G8R8           0x00000022
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_B8G8R8G8           0x00000023
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_DXT1               0x00000024
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_DXT23              0x00000025
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_DXT45              0x00000026
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_DXN1               0x00000027
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_DXN2               0x00000028
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_BC6H_SF16          0x00000010
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_BC6H_UF16          0x00000011
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_BC7U               0x00000017
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ETC2_RGB           0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ETC2_RGB_PTA       0x0000000a
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ETC2_RGBA          0x0000000b
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_EAC                0x00000019
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_EACX2              0x0000001a
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_Z24S8              0x00000029
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_X8Z24              0x0000002a
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_S8Z24              0x0000002b
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ZF32               0x0000002f
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ZF32_X24S8         0x00000030
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_Z16                0x0000003a
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_4X4        0x00000040
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_5X4        0x00000050
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_5X5        0x00000041
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_6X5        0x00000051
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_6X6        0x00000042
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_8X5        0x00000055
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_8X6        0x00000052
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_8X8        0x00000044
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_10X5       0x00000056
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_10X6       0x00000057
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_10X8       0x00000053
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_10X10      0x00000045
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_12X10      0x00000054
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_ASTC_2D_12X12      0x00000046
#define NVCE97_TEXHEAD_V2_BLCK_COMPONENTS_SIZES_CS_BITFIELD_SIZE   0x0000007f
#define NVCE97_TEXHEAD_V2_BLCK_PACK_COMPONENTS                     MW(119:119)
#define NVCE97_TEXHEAD_V2_BLCK_RESERVED3A                          MW(123:120)
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION                      MW(127:124)
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION_SELECT_PITCH_COLOR_KEY_V2 0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION_SELECT_PITCH_V2      0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION_SELECT_BLOCKLINEAR_V2 0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION_SELECT_BLOCKLINEAR_COLOR_KEY_V2 0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION_SELECT_ONE_D_RAW_TYPED 0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_HEADER_VERSION_SELECT_ONE_D_STRUCT_BUF 0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_WIDTH_MINUS_ONE                     MW(144:128)
#define NVCE97_TEXHEAD_V2_BLCK_NORMALIZED_COORDS                   MW(145:145)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_SPREAD_MAX_LOG2               MW(148:146)
#define NVCE97_TEXHEAD_V2_BLCK_S_R_G_B_CONVERSION                  MW(149:149)
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE                        MW(153:150)
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_ONE_D                  0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_TWO_D                  0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_THREE_D                0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_CUBEMAP                0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_ONE_D_ARRAY            0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_TWO_D_ARRAY            0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_ONE_D_BUFFER           0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_TWO_D_NO_MIPMAP        0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_CUBEMAP_ARRAY          0x00000008
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_HTEX_TWOD              0x0000000a
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_HTEX_THREE_D           0x0000000b
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_HTEX_TWOD_ARRAY        0x0000000e
#define NVCE97_TEXHEAD_V2_BLCK_TEXTURE_TYPE_TT_BIT_FIELD_SIZE      0x0000000f
#define NVCE97_TEXHEAD_V2_BLCK_SECTOR_PROMOTION                    MW(155:154)
#define NVCE97_TEXHEAD_V2_BLCK_SECTOR_PROMOTION_NO_PROMOTION       0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_SECTOR_PROMOTION_PROMOTE_TO_2_V     0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_SECTOR_PROMOTION_PROMOTE_TO_2_H     0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_SECTOR_PROMOTION_PROMOTE_TO_4       0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_BORDER_SOURCE                       MW(156:156)
#define NVCE97_TEXHEAD_V2_BLCK_BORDER_SOURCE_BORDER_TEXTURE        0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_BORDER_SOURCE_BORDER_COLOR          0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_RESERVED4A                          MW(159:157)
#define NVCE97_TEXHEAD_V2_BLCK_HEIGHT_MINUS_ONE                    MW(176:160)
#define NVCE97_TEXHEAD_V2_BLCK_DEPTH_MINUS_ONE                     MW(191:177)
#define NVCE97_TEXHEAD_V2_BLCK_COLOR_KEY_OP                        MW(192:192)
#define NVCE97_TEXHEAD_V2_BLCK_TRILIN_OPT                          MW(197:193)
#define NVCE97_TEXHEAD_V2_BLCK_MIP_LOD_BIAS                        MW(210:198)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_BIAS                          MW(214:211)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_FUNC              MW(216:215)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_FUNC            MW(218:217)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY                      MW(221:219)
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_1_TO_1         0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_2_TO_1         0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_4_TO_1         0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_6_TO_1         0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_8_TO_1         0x00000004
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_10_TO_1        0x00000005
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_12_TO_1        0x00000006
#define NVCE97_TEXHEAD_V2_BLCK_MAX_ANISOTROPY_ANISO_16_TO_1        0x00000007
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_MODIFIER          MW(223:222)
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_BLCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_BLCK_COLOR_KEY_VALUE                     MW(255:224)


/*
** Texture Header V2 One-D Raw Typed
 */

#define NVCE97_TEXHEAD_V2_1DRT_ADDRESS_BITS31TO0                   MW(31:0)
#define NVCE97_TEXHEAD_V2_1DRT_ADDRESS_BITS63TO32                  MW(63:32)
#define NVCE97_TEXHEAD_V2_1DRT_WIDTH_MINUS_ONE                     MW(95:64)
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE                            MW(98:96)
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_1DRT_X_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE                            MW(101:99)
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_1DRT_Y_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE                            MW(104:102)
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_1DRT_Z_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE                            MW(107:105)
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_ZERO                    0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_R                       0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_G                       0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_B                       0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_A                       0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_ONE_INT                 0x00000006
#define NVCE97_TEXHEAD_V2_1DRT_W_SOURCE_IN_ONE_FLOAT               0x00000007
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE                           MW(111:108)
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_UNORM       0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_SNORM       0x00000001
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_FLOAT       0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_SGNRGB      0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_SGNA        0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_DSDT        0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_UINT        0x00000006
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_SINT        0x00000007
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_ZS          0x00000008
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_SZ          0x00000009
#define NVCE97_TEXHEAD_V2_1DRT_DATA_TYPE_TEX_DATA_TYPE_ZFS         0x0000000a
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS                          MW(117:112)
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_INVALID         0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R32_G32_B32_A32 0x00000001
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R32_G32_B32     0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R16_G16_B16_A16 0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R32_G32         0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R32_B24G8       0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_X8B8G8R8        0x00000007
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_A8B8G8R8        0x00000008
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_A2B10G10R10     0x00000009
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R16_G16         0x0000000c
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_G8R24           0x0000000d
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_G24R8           0x0000000e
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R32             0x0000000f
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_A4B4G4R4        0x00000012
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_A5B5G5R1        0x00000013
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_A1B5G5R5        0x00000014
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_B5G6R5          0x00000015
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_B6G5R5          0x00000016
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_G8R8            0x00000018
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R16             0x0000001b
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_Y8_VIDEO        0x0000001c
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R8              0x0000001d
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_G4R4            0x0000001e
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_E5B9G9R9_SHAREDEXP 0x00000020
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_BF10GF11RF11    0x00000021
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_G8B8G8R8        0x00000022
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_B8G8R8G8        0x00000023
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_X8B8G8R8_SRGB   0x00000031
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_A8B8G8R8_SRGB   0x00000032
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_G8R8_SRGB       0x00000033
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZES_1D_R8_SRGB         0x00000034
#define NVCE97_TEXHEAD_V2_1DRT_COMPONENTS_SIZESV2_CS_BITFIELD_SIZE 0x0000003f
#define NVCE97_TEXHEAD_V2_1DRT_SECTOR_PROMOTION                    MW(119:118)
#define NVCE97_TEXHEAD_V2_1DRT_SECTOR_PROMOTION_NO_PROMOTION       0x00000000
#define NVCE97_TEXHEAD_V2_1DRT_SECTOR_PROMOTION_PROMOTE_TO_2_V     0x00000001
#define NVCE97_TEXHEAD_V2_1DRT_SECTOR_PROMOTION_PROMOTE_TO_2_H     0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_SECTOR_PROMOTION_PROMOTE_TO_4       0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_RESERVED3A                          MW(123:120)
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION                      MW(127:124)
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION_SELECT_PITCH_COLOR_KEY_V2 0x00000001
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION_SELECT_PITCH_V2      0x00000002
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION_SELECT_BLOCKLINEAR_V2 0x00000003
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION_SELECT_BLOCKLINEAR_COLOR_KEY_V2 0x00000004
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION_SELECT_ONE_D_RAW_TYPED 0x00000005
#define NVCE97_TEXHEAD_V2_1DRT_HEADER_VERSION_SELECT_ONE_D_STRUCT_BUF 0x00000006
#define NVCE97_TEXHEAD_V2_1DRT_RESERVED4X                          MW(156:128)
#define NVCE97_TEXHEAD_V2_1DRT_RESERVED4A                          MW(159:157)
#define NVCE97_TEXHEAD_V2_1DRT_RESERVED5X                          MW(191:160)
#define NVCE97_TEXHEAD_V2_1DRT_RESERVED6X                          MW(223:192)
#define NVCE97_TEXHEAD_V2_1DRT_RESERVED7X                          MW(255:224)


/*
** Texture Header V2 One-D Structured Buffer
 */

#define NVCE97_TEXHEAD_V2_1DSB_ADDRESS_BITS31TO0                   MW(31:0)
#define NVCE97_TEXHEAD_V2_1DSB_ADDRESS_BITS63TO32                  MW(63:32)
#define NVCE97_TEXHEAD_V2_1DSB_WIDTH_MINUS_ONE                     MW(95:64)
#define NVCE97_TEXHEAD_V2_1DSB_STRIDE                              MW(107:96)
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE                           MW(111:108)
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_UNORM       0x00000000
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_SNORM       0x00000001
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_FLOAT       0x00000002
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_SGNRGB      0x00000003
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_SGNA        0x00000004
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_DSDT        0x00000005
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_UINT        0x00000006
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_SINT        0x00000007
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_ZS          0x00000008
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_SZ          0x00000009
#define NVCE97_TEXHEAD_V2_1DSB_DATA_TYPE_TEX_DATA_TYPE_ZFS         0x0000000a
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS                          MW(117:112)
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_INVALID         0x00000000
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R32_G32_B32_A32 0x00000001
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R32_G32_B32     0x00000002
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R16_G16_B16_A16 0x00000003
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R32_G32         0x00000004
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R32_B24G8       0x00000005
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_X8B8G8R8        0x00000007
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_A8B8G8R8        0x00000008
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_A2B10G10R10     0x00000009
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R16_G16         0x0000000c
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_G8R24           0x0000000d
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_G24R8           0x0000000e
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R32             0x0000000f
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_A4B4G4R4        0x00000012
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_A5B5G5R1        0x00000013
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_A1B5G5R5        0x00000014
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_B5G6R5          0x00000015
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_B6G5R5          0x00000016
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_G8R8            0x00000018
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R16             0x0000001b
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_Y8_VIDEO        0x0000001c
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R8              0x0000001d
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_G4R4            0x0000001e
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_E5B9G9R9_SHAREDEXP 0x00000020
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_BF10GF11RF11    0x00000021
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_G8B8G8R8        0x00000022
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_B8G8R8G8        0x00000023
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_X8B8G8R8_SRGB   0x00000031
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_A8B8G8R8_SRGB   0x00000032
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_G8R8_SRGB       0x00000033
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZES_1D_R8_SRGB         0x00000034
#define NVCE97_TEXHEAD_V2_1DSB_COMPONENTS_SIZESV2_CS_BITFIELD_SIZE 0x0000003f
#define NVCE97_TEXHEAD_V2_1DSB_SECTOR_PROMOTION                    MW(119:118)
#define NVCE97_TEXHEAD_V2_1DSB_SECTOR_PROMOTION_NO_PROMOTION       0x00000000
#define NVCE97_TEXHEAD_V2_1DSB_SECTOR_PROMOTION_PROMOTE_TO_2_V     0x00000001
#define NVCE97_TEXHEAD_V2_1DSB_SECTOR_PROMOTION_PROMOTE_TO_2_H     0x00000002
#define NVCE97_TEXHEAD_V2_1DSB_SECTOR_PROMOTION_PROMOTE_TO_4       0x00000003
#define NVCE97_TEXHEAD_V2_1DSB_RESERVED3A                          MW(123:120)
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION                      MW(127:124)
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION_SELECT_PITCH_COLOR_KEY_V2 0x00000001
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION_SELECT_PITCH_V2      0x00000002
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION_SELECT_BLOCKLINEAR_V2 0x00000003
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION_SELECT_BLOCKLINEAR_COLOR_KEY_V2 0x00000004
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION_SELECT_ONE_D_RAW_TYPED 0x00000005
#define NVCE97_TEXHEAD_V2_1DSB_HEADER_VERSION_SELECT_ONE_D_STRUCT_BUF 0x00000006
#define NVCE97_TEXHEAD_V2_1DSB_RESERVED4X                          MW(156:128)
#define NVCE97_TEXHEAD_V2_1DSB_RESERVED4A                          MW(159:157)
#define NVCE97_TEXHEAD_V2_1DSB_RESERVED5X                          MW(191:160)
#define NVCE97_TEXHEAD_V2_1DSB_RESERVED6X                          MW(223:192)
#define NVCE97_TEXHEAD_V2_1DSB_RESERVED7X                          MW(255:224)


/*
** Texture Header V2 Pitch
 */

#define NVCE97_TEXHEAD_V2_PITCH_RESERVED0A                         MW(3:0)
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED0X                         MW(4:4)
#define NVCE97_TEXHEAD_V2_PITCH_ADDRESS_BITS31TO5                  MW(31:5)
#define NVCE97_TEXHEAD_V2_PITCH_ADDRESS_BITS56TO32                 MW(56:32)
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED1A                         MW(63:57)
#define NVCE97_TEXHEAD_V2_PITCH_PITCH_BITS21TO5                    MW(80:64)
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ANISO_QUALITY2                 MW(81:81)
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ANISO_QUALITY                  MW(82:82)
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ANISO_QUALITY_LOD_QUALITY_LOW  0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ANISO_QUALITY_LOD_QUALITY_HIGH 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ISO_QUALITY                    MW(83:83)
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ISO_QUALITY_LOD_QUALITY_LOW    0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_LOD_ISO_QUALITY_LOD_QUALITY_HIGH   0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_MODIFIER       MW(85:84)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_SPREAD_SCALE                 MW(90:86)
#define NVCE97_TEXHEAD_V2_PITCH_DEPTH_TEXTURE                      MW(91:91)
#define NVCE97_TEXHEAD_V2_PITCH_MAX_MIP_LEVEL                      MW(95:92)
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE                           MW(98:96)
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_ZERO                   0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_R                      0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_G                      0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_B                      0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_A                      0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_ONE_INT                0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_X_SOURCE_IN_ONE_FLOAT              0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE                           MW(101:99)
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_ZERO                   0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_R                      0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_G                      0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_B                      0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_A                      0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_ONE_INT                0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_Y_SOURCE_IN_ONE_FLOAT              0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE                           MW(104:102)
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_ZERO                   0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_R                      0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_G                      0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_B                      0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_A                      0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_ONE_INT                0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_Z_SOURCE_IN_ONE_FLOAT              0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE                           MW(107:105)
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_ZERO                   0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_R                      0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_G                      0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_B                      0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_A                      0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_ONE_INT                0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_W_SOURCE_IN_ONE_FLOAT              0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE                          MW(111:108)
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_UNORM      0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_SNORM      0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_FLOAT      0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_SGNRGB     0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_SGNA       0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_DSDT       0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_UINT       0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_SINT       0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_ZS         0x00000008
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_SZ         0x00000009
#define NVCE97_TEXHEAD_V2_PITCH_DATA_TYPE_TEX_DATA_TYPE_ZFS        0x0000000a
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS                         MW(118:112)
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_INVALID           0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R32_G32_B32_A32   0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R32_G32_B32       0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R16_G16_B16_A16   0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R32_G32           0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R32_B24G8         0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_X8B8G8R8          0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_A8B8G8R8          0x00000008
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_A2B10G10R10       0x00000009
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R16_G16           0x0000000c
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_G8R24             0x0000000d
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_G24R8             0x0000000e
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R32               0x0000000f
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_A4B4G4R4          0x00000012
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_A5B5G5R1          0x00000013
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_A1B5G5R5          0x00000014
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_B5G6R5            0x00000015
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_B6G5R5            0x00000016
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_G8R8              0x00000018
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R16               0x0000001b
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_Y8_VIDEO          0x0000001c
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R8                0x0000001d
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_G4R4              0x0000001e
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_R1                0x0000001f
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_E5B9G9R9_SHAREDEXP 0x00000020
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_BF10GF11RF11      0x00000021
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_G8B8G8R8          0x00000022
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_B8G8R8G8          0x00000023
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_DXT1              0x00000024
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_DXT23             0x00000025
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_DXT45             0x00000026
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_DXN1              0x00000027
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_DXN2              0x00000028
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_BC6H_SF16         0x00000010
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_BC6H_UF16         0x00000011
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_BC7U              0x00000017
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ETC2_RGB          0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ETC2_RGB_PTA      0x0000000a
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ETC2_RGBA         0x0000000b
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_EAC               0x00000019
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_EACX2             0x0000001a
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_Z24S8             0x00000029
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_X8Z24             0x0000002a
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_S8Z24             0x0000002b
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ZF32              0x0000002f
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ZF32_X24S8        0x00000030
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_Z16               0x0000003a
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_4X4       0x00000040
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_5X4       0x00000050
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_5X5       0x00000041
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_6X5       0x00000051
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_6X6       0x00000042
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_8X5       0x00000055
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_8X6       0x00000052
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_8X8       0x00000044
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_10X5      0x00000056
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_10X6      0x00000057
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_10X8      0x00000053
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_10X10     0x00000045
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_12X10     0x00000054
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_ASTC_2D_12X12     0x00000046
#define NVCE97_TEXHEAD_V2_PITCH_COMPONENTS_SIZES_CS_BITFIELD_SIZE  0x0000007f
#define NVCE97_TEXHEAD_V2_PITCH_PACK_COMPONENTS                    MW(119:119)
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED3A                         MW(123:120)
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION                     MW(127:124)
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION_SELECT_PITCH_COLOR_KEY_V2 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION_SELECT_PITCH_V2     0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION_SELECT_BLOCKLINEAR_V2 0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION_SELECT_BLOCKLINEAR_COLOR_KEY_V2 0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION_SELECT_ONE_D_RAW_TYPED 0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_HEADER_VERSION_SELECT_ONE_D_STRUCT_BUF 0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_WIDTH_MINUS_ONE                    MW(144:128)
#define NVCE97_TEXHEAD_V2_PITCH_NORMALIZED_COORDS                  MW(145:145)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_SPREAD_MAX_LOG2              MW(148:146)
#define NVCE97_TEXHEAD_V2_PITCH_S_R_G_B_CONVERSION                 MW(149:149)
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE                       MW(153:150)
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_ONE_D                 0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_TWO_D                 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_THREE_D               0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_CUBEMAP               0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_ONE_D_ARRAY           0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_TWO_D_ARRAY           0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_ONE_D_BUFFER          0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_TWO_D_NO_MIPMAP       0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_CUBEMAP_ARRAY         0x00000008
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_HTEX_TWOD             0x0000000a
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_HTEX_THREE_D          0x0000000b
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_HTEX_TWOD_ARRAY       0x0000000e
#define NVCE97_TEXHEAD_V2_PITCH_TEXTURE_TYPE_TT_BIT_FIELD_SIZE     0x0000000f
#define NVCE97_TEXHEAD_V2_PITCH_SECTOR_PROMOTION                   MW(155:154)
#define NVCE97_TEXHEAD_V2_PITCH_SECTOR_PROMOTION_NO_PROMOTION      0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_SECTOR_PROMOTION_PROMOTE_TO_2_V    0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_SECTOR_PROMOTION_PROMOTE_TO_2_H    0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_SECTOR_PROMOTION_PROMOTE_TO_4      0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_BORDER_SOURCE                      MW(156:156)
#define NVCE97_TEXHEAD_V2_PITCH_BORDER_SOURCE_BORDER_TEXTURE       0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_BORDER_SOURCE_BORDER_COLOR         0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED4A                         MW(159:157)
#define NVCE97_TEXHEAD_V2_PITCH_HEIGHT_MINUS_ONE                   MW(176:160)
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED5Y                         MW(191:177)
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED6Y                         MW(192:192)
#define NVCE97_TEXHEAD_V2_PITCH_TRILIN_OPT                         MW(197:193)
#define NVCE97_TEXHEAD_V2_PITCH_MIP_LOD_BIAS                       MW(210:198)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_BIAS                         MW(214:211)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_FUNC             MW(216:215)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_FUNC           MW(218:217)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY                     MW(221:219)
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_1_TO_1        0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_2_TO_1        0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_4_TO_1        0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_6_TO_1        0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_8_TO_1        0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_10_TO_1       0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_12_TO_1       0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_MAX_ANISOTROPY_ANISO_16_TO_1       0x00000007
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_MODIFIER         MW(223:222)
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_RES_VIEW_MIN_MIP_LEVEL             MW(227:224)
#define NVCE97_TEXHEAD_V2_PITCH_RES_VIEW_MAX_MIP_LEVEL             MW(231:228)
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT                 MW(235:232)
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_1X1        0x00000000
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_2X1        0x00000001
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_2X2        0x00000002
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_4X2        0x00000003
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_4X2_D3D    0x00000004
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_2X1_D3D    0x00000005
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_4X4        0x00000006
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_2X2_VC_4   0x00000008
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_2X2_VC_12  0x00000009
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_4X2_VC_8   0x0000000a
#define NVCE97_TEXHEAD_V2_PITCH_MULTI_SAMPLE_COUNT_MODE_4X2_VC_24  0x0000000b
#define NVCE97_TEXHEAD_V2_PITCH_MIN_LOD_CLAMP                      MW(247:236)
#define NVCE97_TEXHEAD_V2_PITCH_RESERVED7Y                         MW(255:248)


/*
** Texture Header V2 Pitch Color Key
 */

#define NVCE97_TEXHEAD_V2_PITCHCK_RESERVED0A                       MW(3:0)
#define NVCE97_TEXHEAD_V2_PITCHCK_RESERVED0X                       MW(4:4)
#define NVCE97_TEXHEAD_V2_PITCHCK_ADDRESS_BITS31TO5                MW(31:5)
#define NVCE97_TEXHEAD_V2_PITCHCK_ADDRESS_BITS56TO32               MW(56:32)
#define NVCE97_TEXHEAD_V2_PITCHCK_RESERVED1A                       MW(63:57)
#define NVCE97_TEXHEAD_V2_PITCHCK_PITCH_BITS21TO5                  MW(80:64)
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ANISO_QUALITY2               MW(81:81)
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ANISO_QUALITY                MW(82:82)
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ANISO_QUALITY_LOD_QUALITY_LOW 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ANISO_QUALITY_LOD_QUALITY_HIGH 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ISO_QUALITY                  MW(83:83)
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ISO_QUALITY_LOD_QUALITY_LOW  0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_LOD_ISO_QUALITY_LOD_QUALITY_HIGH 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_MODIFIER     MW(85:84)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_SPREAD_SCALE               MW(90:86)
#define NVCE97_TEXHEAD_V2_PITCHCK_DEPTH_TEXTURE                    MW(91:91)
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_MIP_LEVEL                    MW(95:92)
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE                         MW(98:96)
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_ZERO                 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_R                    0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_G                    0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_B                    0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_A                    0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_ONE_INT              0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_X_SOURCE_IN_ONE_FLOAT            0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE                         MW(101:99)
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_ZERO                 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_R                    0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_G                    0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_B                    0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_A                    0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_ONE_INT              0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_Y_SOURCE_IN_ONE_FLOAT            0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE                         MW(104:102)
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_ZERO                 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_R                    0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_G                    0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_B                    0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_A                    0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_ONE_INT              0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_Z_SOURCE_IN_ONE_FLOAT            0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE                         MW(107:105)
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_ZERO                 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_R                    0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_G                    0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_B                    0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_A                    0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_ONE_INT              0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_W_SOURCE_IN_ONE_FLOAT            0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE                        MW(111:108)
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_UNORM    0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_SNORM    0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_FLOAT    0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_SGNRGB   0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_SGNA     0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_DSDT     0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_UINT     0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_SINT     0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_ZS       0x00000008
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_SZ       0x00000009
#define NVCE97_TEXHEAD_V2_PITCHCK_DATA_TYPE_TEX_DATA_TYPE_ZFS      0x0000000a
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS                       MW(118:112)
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_INVALID         0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R32_G32_B32_A32 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R32_G32_B32     0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R16_G16_B16_A16 0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R32_G32         0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R32_B24G8       0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_X8B8G8R8        0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_A8B8G8R8        0x00000008
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_A2B10G10R10     0x00000009
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R16_G16         0x0000000c
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_G8R24           0x0000000d
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_G24R8           0x0000000e
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R32             0x0000000f
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_A4B4G4R4        0x00000012
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_A5B5G5R1        0x00000013
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_A1B5G5R5        0x00000014
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_B5G6R5          0x00000015
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_B6G5R5          0x00000016
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_G8R8            0x00000018
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R16             0x0000001b
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_Y8_VIDEO        0x0000001c
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R8              0x0000001d
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_G4R4            0x0000001e
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_R1              0x0000001f
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_E5B9G9R9_SHAREDEXP 0x00000020
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_BF10GF11RF11    0x00000021
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_G8B8G8R8        0x00000022
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_B8G8R8G8        0x00000023
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_DXT1            0x00000024
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_DXT23           0x00000025
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_DXT45           0x00000026
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_DXN1            0x00000027
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_DXN2            0x00000028
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_BC6H_SF16       0x00000010
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_BC6H_UF16       0x00000011
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_BC7U            0x00000017
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ETC2_RGB        0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ETC2_RGB_PTA    0x0000000a
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ETC2_RGBA       0x0000000b
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_EAC             0x00000019
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_EACX2           0x0000001a
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_Z24S8           0x00000029
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_X8Z24           0x0000002a
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_S8Z24           0x0000002b
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ZF32            0x0000002f
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ZF32_X24S8      0x00000030
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_Z16             0x0000003a
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_4X4     0x00000040
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_5X4     0x00000050
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_5X5     0x00000041
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_6X5     0x00000051
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_6X6     0x00000042
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_8X5     0x00000055
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_8X6     0x00000052
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_8X8     0x00000044
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_10X5    0x00000056
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_10X6    0x00000057
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_10X8    0x00000053
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_10X10   0x00000045
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_12X10   0x00000054
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_ASTC_2D_12X12   0x00000046
#define NVCE97_TEXHEAD_V2_PITCHCK_COMPONENTS_SIZES_CS_BITFIELD_SIZE 0x0000007f
#define NVCE97_TEXHEAD_V2_PITCHCK_PACK_COMPONENTS                  MW(119:119)
#define NVCE97_TEXHEAD_V2_PITCHCK_RESERVED3A                       MW(123:120)
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION                   MW(127:124)
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION_SELECT_PITCH_COLOR_KEY_V2 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION_SELECT_PITCH_V2   0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION_SELECT_BLOCKLINEAR_V2 0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION_SELECT_BLOCKLINEAR_COLOR_KEY_V2 0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION_SELECT_ONE_D_RAW_TYPED 0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_HEADER_VERSION_SELECT_ONE_D_STRUCT_BUF 0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_WIDTH_MINUS_ONE                  MW(144:128)
#define NVCE97_TEXHEAD_V2_PITCHCK_NORMALIZED_COORDS                MW(145:145)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_SPREAD_MAX_LOG2            MW(148:146)
#define NVCE97_TEXHEAD_V2_PITCHCK_S_R_G_B_CONVERSION               MW(149:149)
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE                     MW(153:150)
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_ONE_D               0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_TWO_D               0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_THREE_D             0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_CUBEMAP             0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_ONE_D_ARRAY         0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_TWO_D_ARRAY         0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_ONE_D_BUFFER        0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_TWO_D_NO_MIPMAP     0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_CUBEMAP_ARRAY       0x00000008
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_HTEX_TWOD           0x0000000a
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_HTEX_THREE_D        0x0000000b
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_HTEX_TWOD_ARRAY     0x0000000e
#define NVCE97_TEXHEAD_V2_PITCHCK_TEXTURE_TYPE_TT_BIT_FIELD_SIZE   0x0000000f
#define NVCE97_TEXHEAD_V2_PITCHCK_SECTOR_PROMOTION                 MW(155:154)
#define NVCE97_TEXHEAD_V2_PITCHCK_SECTOR_PROMOTION_NO_PROMOTION    0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_SECTOR_PROMOTION_PROMOTE_TO_2_V  0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_SECTOR_PROMOTION_PROMOTE_TO_2_H  0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_SECTOR_PROMOTION_PROMOTE_TO_4    0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_BORDER_SOURCE                    MW(156:156)
#define NVCE97_TEXHEAD_V2_PITCHCK_BORDER_SOURCE_BORDER_TEXTURE     0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_BORDER_SOURCE_BORDER_COLOR       0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_RESERVED4A                       MW(159:157)
#define NVCE97_TEXHEAD_V2_PITCHCK_HEIGHT_MINUS_ONE                 MW(176:160)
#define NVCE97_TEXHEAD_V2_PITCHCK_RESERVED5Y                       MW(191:177)
#define NVCE97_TEXHEAD_V2_PITCHCK_COLOR_KEY_OP                     MW(192:192)
#define NVCE97_TEXHEAD_V2_PITCHCK_TRILIN_OPT                       MW(197:193)
#define NVCE97_TEXHEAD_V2_PITCHCK_MIP_LOD_BIAS                     MW(210:198)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_BIAS                       MW(214:211)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_FUNC           MW(216:215)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_FUNC         MW(218:217)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_HALF 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_COARSE_SPREAD_FUNC_SPREAD_FUNC_MAX 0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY                   MW(221:219)
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_1_TO_1      0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_2_TO_1      0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_4_TO_1      0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_6_TO_1      0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_8_TO_1      0x00000004
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_10_TO_1     0x00000005
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_12_TO_1     0x00000006
#define NVCE97_TEXHEAD_V2_PITCHCK_MAX_ANISOTROPY_ANISO_16_TO_1     0x00000007
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_MODIFIER       MW(223:222)
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_NONE 0x00000000
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_ONE 0x00000001
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_CONST_TWO 0x00000002
#define NVCE97_TEXHEAD_V2_PITCHCK_ANISO_FINE_SPREAD_MODIFIER_SPREAD_MODIFIER_SQRT 0x00000003
#define NVCE97_TEXHEAD_V2_PITCHCK_COLOR_KEY_VALUE                  MW(255:224)


/*
** Texture Sampler State
 */

#define NVCE97_TEXSAMP0_ADDRESS_U                                  2:0
#define NVCE97_TEXSAMP0_ADDRESS_U_WRAP                             0x00000000
#define NVCE97_TEXSAMP0_ADDRESS_U_MIRROR                           0x00000001
#define NVCE97_TEXSAMP0_ADDRESS_U_CLAMP_TO_EDGE                    0x00000002
#define NVCE97_TEXSAMP0_ADDRESS_U_BORDER                           0x00000003
#define NVCE97_TEXSAMP0_ADDRESS_U_CLAMP_OGL                        0x00000004
#define NVCE97_TEXSAMP0_ADDRESS_U_MIRROR_ONCE_CLAMP_TO_EDGE        0x00000005
#define NVCE97_TEXSAMP0_ADDRESS_U_MIRROR_ONCE_BORDER               0x00000006
#define NVCE97_TEXSAMP0_ADDRESS_U_MIRROR_ONCE_CLAMP_OGL            0x00000007
#define NVCE97_TEXSAMP0_ADDRESS_V                                  5:3
#define NVCE97_TEXSAMP0_ADDRESS_V_WRAP                             0x00000000
#define NVCE97_TEXSAMP0_ADDRESS_V_MIRROR                           0x00000001
#define NVCE97_TEXSAMP0_ADDRESS_V_CLAMP_TO_EDGE                    0x00000002
#define NVCE97_TEXSAMP0_ADDRESS_V_BORDER                           0x00000003
#define NVCE97_TEXSAMP0_ADDRESS_V_CLAMP_OGL                        0x00000004
#define NVCE97_TEXSAMP0_ADDRESS_V_MIRROR_ONCE_CLAMP_TO_EDGE        0x00000005
#define NVCE97_TEXSAMP0_ADDRESS_V_MIRROR_ONCE_BORDER               0x00000006
#define NVCE97_TEXSAMP0_ADDRESS_V_MIRROR_ONCE_CLAMP_OGL            0x00000007
#define NVCE97_TEXSAMP0_ADDRESS_P                                  8:6
#define NVCE97_TEXSAMP0_ADDRESS_P_WRAP                             0x00000000
#define NVCE97_TEXSAMP0_ADDRESS_P_MIRROR                           0x00000001
#define NVCE97_TEXSAMP0_ADDRESS_P_CLAMP_TO_EDGE                    0x00000002
#define NVCE97_TEXSAMP0_ADDRESS_P_BORDER                           0x00000003
#define NVCE97_TEXSAMP0_ADDRESS_P_CLAMP_OGL                        0x00000004
#define NVCE97_TEXSAMP0_ADDRESS_P_MIRROR_ONCE_CLAMP_TO_EDGE        0x00000005
#define NVCE97_TEXSAMP0_ADDRESS_P_MIRROR_ONCE_BORDER               0x00000006
#define NVCE97_TEXSAMP0_ADDRESS_P_MIRROR_ONCE_CLAMP_OGL            0x00000007
#define NVCE97_TEXSAMP0_DEPTH_COMPARE                              9:9
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC                         12:10
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_NEVER                0x00000000
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_LESS                 0x00000001
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_EQUAL                0x00000002
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_LEQUAL               0x00000003
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_GREATER              0x00000004
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_NOTEQUAL             0x00000005
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_GEQUAL               0x00000006
#define NVCE97_TEXSAMP0_DEPTH_COMPARE_FUNC_ZC_ALWAYS               0x00000007
#define NVCE97_TEXSAMP0_S_R_G_B_CONVERSION                         13:13
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY                             22:20
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_1_TO_1                0x00000000
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_2_TO_1                0x00000001
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_4_TO_1                0x00000002
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_6_TO_1                0x00000003
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_8_TO_1                0x00000004
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_10_TO_1               0x00000005
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_12_TO_1               0x00000006
#define NVCE97_TEXSAMP0_MAX_ANISOTROPY_ANISO_16_TO_1               0x00000007
#define NVCE97_TEXSAMP0_FORCED_INVALID                             31:31
#define NVCE97_TEXSAMP1_MAG_FILTER                                 2:0
#define NVCE97_TEXSAMP1_MAG_FILTER_MAG_POINT                       0x00000001
#define NVCE97_TEXSAMP1_MAG_FILTER_MAG_LINEAR                      0x00000002
#define NVCE97_TEXSAMP1_MAG_FILTER_VCAA_4_TAP                      0x00000003
#define NVCE97_TEXSAMP1_MAG_FILTER_VCAA_8_TAP                      0x00000004
#define NVCE97_TEXSAMP1_MIN_LOD_CLAMP_BEHAVIOR_FOR_NEAREST_MIP     3:3
#define NVCE97_TEXSAMP1_MIN_LOD_CLAMP_BEHAVIOR_FOR_NEAREST_MIP_INTEGER_AND_FRACTION 0x00000000
#define NVCE97_TEXSAMP1_MIN_LOD_CLAMP_BEHAVIOR_FOR_NEAREST_MIP_INTEGER_ONLY 0x00000001
#define NVCE97_TEXSAMP1_MIN_FILTER                                 5:4
#define NVCE97_TEXSAMP1_MIN_FILTER_MIN_POINT                       0x00000001
#define NVCE97_TEXSAMP1_MIN_FILTER_MIN_LINEAR                      0x00000002
#define NVCE97_TEXSAMP1_MIN_FILTER_MIN_ANISO                       0x00000003
#define NVCE97_TEXSAMP1_MIP_FILTER                                 7:6
#define NVCE97_TEXSAMP1_MIP_FILTER_MIP_NONE                        0x00000001
#define NVCE97_TEXSAMP1_MIP_FILTER_MIP_POINT                       0x00000002
#define NVCE97_TEXSAMP1_MIP_FILTER_MIP_LINEAR                      0x00000003
#define NVCE97_TEXSAMP1_CUBEMAP_INTERFACE_FILTERING                9:8
#define NVCE97_TEXSAMP1_CUBEMAP_INTERFACE_FILTERING_USE_WRAP       0x00000000
#define NVCE97_TEXSAMP1_CUBEMAP_INTERFACE_FILTERING_OVERRIDE_WRAP  0x00000001
#define NVCE97_TEXSAMP1_CUBEMAP_INTERFACE_FILTERING_AUTO_SPAN_SEAM 0x00000002
#define NVCE97_TEXSAMP1_CUBEMAP_INTERFACE_FILTERING_AUTO_CROSS_SEAM 0x00000003
#define NVCE97_TEXSAMP1_REDUCTION_FILTER                           11:10
#define NVCE97_TEXSAMP1_REDUCTION_FILTER_RED_NONE                  0x00000000
#define NVCE97_TEXSAMP1_REDUCTION_FILTER_RED_MINIMUM               0x00000001
#define NVCE97_TEXSAMP1_REDUCTION_FILTER_RED_MAXIMUM               0x00000002
#define NVCE97_TEXSAMP1_MIP_LOD_BIAS                               24:12
#define NVCE97_TEXSAMP1_FLOAT_COORD_NORMALIZATION                  25:25
#define NVCE97_TEXSAMP1_FLOAT_COORD_NORMALIZATION_USE_HEADER_SETTING 0x00000000
#define NVCE97_TEXSAMP1_FLOAT_COORD_NORMALIZATION_FORCE_UNNORMALIZED_COORDS 0x00000001
#define NVCE97_TEXSAMP1_TRILIN_OPT                                 30:26
#define NVCE97_TEXSAMP2_MIN_LOD_CLAMP                              11:0
#define NVCE97_TEXSAMP2_MAX_LOD_CLAMP                              23:12
#define NVCE97_TEXSAMP2_S_R_G_B_BORDER_COLOR_R                     31:24
#define NVCE97_TEXSAMP3_RESERVED12                                 11:0
#define NVCE97_TEXSAMP3_S_R_G_B_BORDER_COLOR_G                     19:12
#define NVCE97_TEXSAMP3_S_R_G_B_BORDER_COLOR_B                     27:20
#define NVCE97_TEXSAMP4_BORDER_COLOR_R                             31:0
#define NVCE97_TEXSAMP5_BORDER_COLOR_G                             31:0
#define NVCE97_TEXSAMP6_BORDER_COLOR_B                             31:0
#define NVCE97_TEXSAMP7_BORDER_COLOR_A                             31:0



#endif // #ifndef __CLCE97TEX_H__
